<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'larayellow',

    /*
     * Package.
     */
    'package'   => 'reviews',

    /*
     * Modules.
     */
    'modules'   => ['review'],

    
    'review'       => [
        'model' => [
            'model' => \Larayellow\Reviews\Models\Review::class,
            'repository' => \Larayellow\Reviews\Repositories\Eloquent\ReviewRepository::class,
            'table' => 'reviews',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'title',  'rating',  'review',  'product_id',  'slug',  'user_id',  'created_at',  'deleted_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'reviews/review',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Larayellow',
            'package' => 'Reviews',
            'module' => 'Review',
        ],
    ],
];
