<?php

// API routes  for reviews.

// Guard routes for review
Route::prefix('{guard}/reviews')->group(function () {
    Route::resource('review', 'ReviewResourceController');
});



// Public routes for reviews
Route::get('reviews/', 'ReviewsPublicController@index');
Route::get('reviews/{slug?}', 'ReviewsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for review
            Route::prefix('{guard}/reviews')->group(function () {
                Route::resource('review', 'ReviewResourceController');
            });
            
            

            // Public routes for reviews
            Route::get('reviews/', 'ReviewsPublicController@index');
            Route::get('reviews/{slug?}', 'ReviewsPublicController@show');
        }
    );
}