<?php

namespace Larayellow\Reviews\Forms;

use Litepie\Form\FormInterpreter;

class Review extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('reviews/review/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('reviews/review/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('reviews/review'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('reviews/review'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('reviews/review'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('reviews/review'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('reviews::reviews.label.name'),
                "placeholder" => trans('reviews::reviews.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$groups = [
            'main' => trans('reviews::reviews.groups.main'),
            'details' => trans('reviews::reviews.groups.details'),
            'images' => trans('reviews::reviews.groups.images'),
            'settings' => trans('reviews::reviews.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('reviews::reviews.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('reviews::reviews.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('reviews::reviews.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('reviews::reviews.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('reviews::review.label.title'),
                "placeholder" => trans('reviews::review.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'rating' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('reviews::review.label.rating'),
                "placeholder" => trans('reviews::review.placeholder.rating'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'review' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('reviews::review.label.review'),
                "placeholder" => trans('reviews::review.placeholder.review'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'product_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('reviews::review.label.product_id'),
                "placeholder" => trans('reviews::review.placeholder.product_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
